#ifndef MINORI_SERVICES_KITSU_H_
#define MINORI_SERVICES_KITSU_H_

#include "core/anime.h"
#include "core/date.h"

#include <string>
#include <vector>

namespace Services {
namespace Kitsu {

/* neither of these are stored in the config and only held temporarily */
bool AuthorizeUser(const std::string &email, const std::string &password);

bool RetrieveAnimeMetadata(int id);

int GetAnimeList();
std::vector<int> Search(const std::string &search);
bool GetSeason(Anime::Season season);
int UpdateAnimeEntry(int id);

} // namespace Kitsu
} // namespace Services

#endif // MINORI_SERVICES_KITSU_H_
